Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# RTPortableServerA.cpp File Reference

`#include "tao/AnyTypeCode/Null_RefCount_Policy.h"`
`#include "tao/AnyTypeCode/TypeCode_Constants.h"`
`#include "tao/AnyTypeCode/Alias_TypeCode_Static.h"`
`#include "tao/AnyTypeCode/Objref_TypeCode_Static.h"`
`#include "tao/AnyTypeCode/String_TypeCode_Static.h"`
`#include "RTPortableServer.h"`
`#include "tao/CDR.h"`
`#include "tao/AnyTypeCode/Any.h"`
`#include "tao/AnyTypeCode/Any_Impl_T.h"`

Include dependency graph for RTPortableServerA.cpp:

## Namespaces
namespace | RTPortableServer
namespace | TAO
## Functions
TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO::TypeCode::Objref< char const *, TAO::Null_RefCount_Policy > | _tao_tc_RTPortableServer_POA (CORBA::tk_local_interface,"IDL:omg.org/RTPortableServer/POA:1.0","POA")
template<>
CORBA::Boolean | Any_Impl_T< RTPortableServer::POA >::to_object (CORBA::Object_ptr &_tao_elem) const
template<>
CORBA::Boolean | Any_Impl_T< RTPortableServer::POA >::marshal_value (TAO_OutputCDR &)
template<>
CORBA::Boolean | Any_Impl_T< RTPortableServer::POA >::demarshal_value (TAO_InputCDR &)
void | operator<<= (CORBA::Any &_tao_any, RTPortableServer::POA_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, RTPortableServer::POA_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, RTPortableServer::POA_ptr &_tao_elem)
## Variables
::CORBA::TypeCode_ptr const | _tc_POA

## Function Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO::TypeCode::Objref<char const *, TAO::Null_RefCount_Policy> _tao_tc_RTPortableServer_POA | ( | CORBA::tk_local_interface | ,
|  | "IDL:omg.org/RTPortableServer/POA:1.0" | ,
|  | "POA" |
| ) | `[static]`

template<>
CORBA::Boolean Any_Impl_T< RTPortableServer::POA >::demarshal_value | ( | TAO_InputCDR & |  | ) |

template<>
CORBA::Boolean Any_Impl_T< RTPortableServer::POA >::marshal_value | ( | TAO_OutputCDR & |  | ) |

template<>
CORBA::Boolean Any_Impl_T< RTPortableServer::POA >::to_object | ( | CORBA::Object_ptr & | _tao_elem | ) | const

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTPortableServer::POA_ptr * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | RTPortableServer::POA_ptr | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | RTPortableServer::POA_ptr & | _tao_elem
| ) |

## Variable Documentation

TAO_RTPortableServer_Export::CORBA::TypeCode_ptr const RTPortableServer::_tc_POA

| Initial value:
        &_tao_tc_RTPortableServer_POA